Kerbal Space Program - Bug #4818

cargo bay placement
04/29/2015 07:41 PM - drazed

Status: Closed Start date: 04/29/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If you try to place a cargo bay AROUND an existing payload (as opposed to placing the cargo bay, then placing the payload INSIDE),
the part-placement snaps to place (as if it's a proper spot for attachment) but mouse-click does not actually attach the part (just

places it as an unused part).
Reproduce:
e open VAB

e select mk1 command pod as root part
¢ select mk2 cargo bay (CRG-04, that is the one | tested with anyhow)

* try to place the cargo-bay so it contains the POD, part snaps in place, but refuses to connect

If you try to place the cargo-bay BELOW or ABOVE the pod it works fine (snaps and attaches). If you place the cargo-bay first then

place the pod inside it snaps and attaches fine.

This was definitely NOT an issue pre-1.0 (as | often built payloads first then placed the cargo bays around them).

As always, tested in arch linux 64bit (ksp64bit). But | think safe to assume this is an OS-independent issue.

Related issues:
Has duplicate Kerbal Space Program - Bug #4835: Unable to offset items attach...

Closed 04/30/2015

History

#1 - 07/27/2015 08:48 PM - Squelch
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 07/27/2015 08:51 PM - Squelch

This has been forwarded to the developers.

#6 - 07/27/2015 09:01 PM - Squelch
- Has duplicate Bug #4835: Unable to offset items attached inside any cargo bay added

#7 - 07/17/2016 09:38 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#8 - 08/09/2016 01:38 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
